
Redmine - Defect #11945

rake task prints "can't convert Errno::EACCES into String" in case of no permission of

public/plugin_assets

2012-09-26 06:00 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.1.1   

Resolution: Fixed Affected version: 2.0.0

Description

On Ruby 1.9.3.

$ ll public/plugin_assets/sample_plugin/stylesheets/example.css 

-r--r--r-- 1 hoge hoge 73 Sep 26 11:15 public/plugin_assets/sample_plugin/stylesheets/example.css

 
$ echo >> plugins/sample_plugin/assets/stylesheets/example.css

 
$ rake db:migrate RAILS_ENV=development 

rake aborted!

can't convert Errno::EACCES into String

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

Associated revisions

Revision 10471 - 2012-09-26 06:11 - Toshi MARUYAMA

fix "can't convert Errno::EACCES into String" in case of no permission of public/plugin_assets on Ruby 1.9.3 (#11945)

Revision 10472 - 2012-09-26 06:11 - Toshi MARUYAMA

add more error message if public/plugin_assets cannot be created (#11945)

Revision 10473 - 2012-09-26 07:39 - Toshi MARUYAMA

Merged r10471 from trunk (#11945)

fix "can't convert Errno::EACCES into String" in case of no permission of public/plugin_assets on Ruby 1.9.3.

Revision 10474 - 2012-09-26 07:39 - Toshi MARUYAMA

Merged r10472 from trunk (#11945)

add more error message if public/plugin_assets cannot be created.

History

#1 - 2012-09-29 18:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed
